## javax.persistence.spi
Interface ClassTransformer

    public interface ClassTransformer

Method Summary
`byte[]` `transform(java.lang.ClassLoader loader, java.lang.String className, java.lang.Class<?> classBeingRedefined, java.security.ProtectionDomain protectionDomain, byte[] classfileBuffer)`

Method Detail

### transform

    byte[] transform(java.lang.ClassLoader loader,
                     java.lang.String className,
                     java.lang.Class<?> classBeingRedefined,
                     java.security.ProtectionDomain protectionDomain,
                     byte[] classfileBuffer)
                     throws java.lang.instrument.IllegalClassFormatException

  Throws:
    `java.lang.instrument.IllegalClassFormatException`